%define api 2.0
%define major 1
%define oname gtkglarea
%define libname %mklibname gtkglarea %{api}
%define develname %mklibname -d gtkglarea

%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:	OpenGL widget for GTK+ GUI toolkit
Name:		gtkglarea2
Version:	2.0.1
Release: 	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
Source:		https://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch0:		gtkglarea-2.0.0-wformat.patch
Patch1:		gtkglarea-2.0.1-link.patch
URL:		http://www.student.oulu.fi/~jlof/gtkglarea/
#-----------------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
#-----------------------------------------

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

%package -n %{libname}
Summary:	OpenGL widget for GTK+ GUI toolkit
Group:		System/Libraries
Obsoletes:	%{_lib}gtkglarea2.0 < %{version}-%{release}

%description -n %{libname}
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of gdkgl which
is basically wrapper around GLX functions. The widget itself is very similar
to GtkDrawinigArea widget and adds only three extra functions.

Lower level gdkgl functions make it easy to render on any widget that has
OpenGL capable visual, rendering to off-screen pixmaps is also supported.

%package -n %{develname}
Summary:	Includes and static libs
Group:		Development/Libraries
Requires:	%{libname} >= %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}gtkglarea2.0-devel

%description -n %{develname}
Libraries and includes files you can use for GtkGLArea development

%prep
%setup -q -n %oname-%version
%apply_patches

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/libgtkgl-%{api}.so.%{major}
%{_libdir}/libgtkgl-%{api}.so.%{major}.*

%files -n %{develname}
%doc docs/*.txt
%{_libdir}/*.so
%{_includedir}/*
%_libdir/pkgconfig/gtkgl-%{api}.pc


%changelog
* Fri Aug 22 2014 bb <bb> 2.0.1-3pclos2014
- rebuild for new directfb
